package geniusweb.protocol.partyconnection;

import geniusweb.actions.Action;
import geniusweb.actions.PartyId;
import geniusweb.connection.ConnectionEnd;
import geniusweb.inform.Inform;

/**
 * Connection of the protocol with a party. Note, this is the opposite direction
 * of a connection of the party with the protocol.
 */
public interface ProtocolToPartyConn extends ConnectionEnd<Action, Inform> {

	/**
	 * 
	 * @return the partyId of the party that this connects to.
	 */
	PartyId getParty();
}
